Error With Dada2

I ran dada2 denoising step and received the following error

Command: run_dada_paired.R /tmp/tmpwbvpq8_7/forward /tmp/tmpwbvpq8_7/reverse /tmp/tmpwbvpq8_7/output.tsv.biom /tmp/tmpwbvpq8_7/track.tsv /tmp/tmpwbvpq8_7/filt_f /tmp/tmpwbvpq8_7/filt_r 200 200 0 0 2.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering Error in add(raw()) : internal: buf !=
    Execution halted
    Traceback (most recent call last):
    File “/home/jmc257/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
    run_commands([cmd])
    File “/home/jmc257/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/jmc257/miniconda3/envs/qiime2-2018.4/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpwbvpq8_7/forward’, ‘/tmp/tmpwbvpq8_7/reverse’, ‘/tmp/tmpwbvpq8_7/output.tsv.biom’, ‘/tmp/tmpwbvpq8_7/track.tsv’, ‘/tmp/tmpwbvpq8_7/filt_f’, ‘/tmp/tmpwbvpq8_7/filt_r’, ‘200’, ‘200’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/jmc257/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/jmc257/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/jmc257/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 366, in callable_executor
output_views = self._callable(**view_args)
File “/home/jmc257/miniconda3/envs/qiime2-2018.4/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

any ideas on what’s wrong?

Hi there @nricks!

Can you provide the exact command you ran? Copy and paste please. As well, it would be helpful for us to see the demux summarize quality profile for your demultiplexed sequences - can you attach that qzv, or, a screenshot of the quality plots? Thanks! :t_rex:

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.